AgregarEvento(window,'load',inicializarEventos,false);
var ventana= null;
var conexion1;
var objetoMostrar;
var mSubmit = false;
var combo="";


function inicializarEventos()
{
  var gestionar=document.getElementById('cmdGestionar'); 
  var regresar1=document.getElementById('cmdRegresar'); 
  var fecha=document.getElementById('txtFecha'); 
  
  if(!isEmpty(gestionar)){
	  AgregarEvento(gestionar,'click',Cargar_Seccion,false);
  }
  if(!isEmpty(regresar1)){
	  AgregarEvento(regresar1,'click',regresar,false);
  }  
   if(!isEmpty(fecha)){
	  AgregarEvento(fecha,'keypress',ejecutar,false);
  }
  
		//*$(document).ready(function(){
			//*
			//*$('#contenido').delegate('#txtFecha','keypress',function(event) {											
					//*$.ajax({
						//*async:true,
						//*type: 'POST',
						//*contentType: 'application/x-www-form-urlencoded',
						//*url:'vista_nomina_becas.php',
						//*data:'fecha='+$('#txtFecha').attr('id')
					//*}).done(function( msg ) {
						 //*var arreglo = msg.split('@');
					//*});	
			//*});	
	//*});
}
function ejecutar(e){
  var forma=window.document.forms[0];
  forma.formulario.value='formulario';
  forma.hdAccion.value='cmdGestionar';			
  var letra=String.fromCharCode(e.charCode);
	$('#chkEnero').removeAttr("disabled");				
	$('#chkFebrero').removeAttr("disabled");				
	$('#chkMarzo').removeAttr("disabled");				
	$('#chkAbril').removeAttr("disabled");				
	$('#chkMayo').removeAttr("disabled");				
	$('#chkJunio').removeAttr("disabled");				
	$('#chkJulio').removeAttr("disabled");				
	$('#chkAgosto').removeAttr("disabled");				
	$('#chkSeptiembre').removeAttr("disabled");				
	$('#chkOctubre').removeAttr("disabled");				
	$('#chkNoviembre').removeAttr("disabled");				
	$('#chkDiciembre').removeAttr("disabled");				

	$.ajax({
		async:true,
		type: 'POST',
		contentType: 'application/x-www-form-urlencoded',
		url:'vista_nomina_becas.php',
		data:'fecha='+$('#txtFecha').val()+letra+'&hdAccion=cmdBuscarMeses'
	}).done(function( msg ) {
		 var arreglo = msg.split('-');
		 for(var i=0;i<arreglo.length;i++){
			 
			if(arreglo[i].trim()=='Enero'.toString()){
			 	$('#chkEnero').attr("disabled", true);
			 	$('#chkEnero').attr("checked", false);
			}else if(arreglo[i].trim()=='Febrero'.toString()){
			 	$('#chkFebrero').attr("disabled", true);				
			 	$('#chkFebrero').attr("checked", false);				
			}else if(arreglo[i].trim()=='Marzo'.toString()){
			 	$('#chkMarzo').attr("disabled", true);				
			 	$('#chkMarzo').attr("checked", false);			
			}else if(arreglo[i].trim()=='Abril'.toString()){
			 	$('#chkAbril').attr("disabled", true);				
			 	$('#chkAbril').attr("checked", false);				
			}else if(arreglo[i].trim()=='Mayo'.toString()){
			 	$('#chkMayo').attr("disabled", true);				
			 	$('#chkMayo').attr("checked", false);				
			}else if(arreglo[i].trim()=='Junio'.toString()){
			 	$('#chkJunio').attr("disabled", true);
			 	$('#chkJunio').attr("checked", false);				
			}else if(arreglo[i].trim()=='Julio'.toString()){
			 	$('#chkJulio').attr("disabled", true);				
			 	$('#chkJulio').attr("checked", false);							 	
			}else if(arreglo[i].trim()=='Agosto'.toString()){
			 	$('#chkAgosto').attr("disabled", true);				
			 	$('#chkAgosto').attr("checked", false);				
			}else if(arreglo[i].trim()=='Septiembre'.toString()){
			 	$('#chkSeptiembre').attr("disabled", true);				
			 	$('#chkSeptiembre').attr("checked", false);				
			}else if(arreglo[i].trim()=='Octubre'.toString()){
			 	$('#chkOctubre').attr("disabled", true);				
			 	$('#chkOctubre').attr("checked", false);			
			}else if(arreglo[i].trim()=='Noviembre'.toString()){
			 	$('#chkNoviembre').attr("disabled", true);				
			 	$('#chkNoviembre').attr("checked", false);				
			}else if(arreglo[i].trim()=='Diciembre'.toString()){
			 	$('#chkDiciembre').attr("disabled", true);				
			 	$('#chkDiciembre').attr("checked", false);		
			}
		 }
	});	
			

}
function Cargar_Seccion(){
  mSubmit=false;
  var forma=window.document.forms[0];
  forma.formulario.value='formulario';
  forma.hdAccion.value='cmdGestionar';
  numero=forma.elements.length;
  var check = $("input[type='checkbox']:checked").length;
  if(check == ""){
     alert("Seleccione al menos un Mes");
     return false;
  }   
  if(isEmpty(forma.txtDescripcion.value)){
    alert("Ingrese Descripcion");
     return false;
 	  
 }
 if(isEmpty(forma.txtFecha.value)){
    alert("Ingrese Fecha");
     return false;
 	  
 }

  forma.submit();
	
//	window.parent.forms[0].location.href= 'vista_actualizacion_datos.php?seccion='+document.getElementById('cmbSeccion').value+'&formulario=formulario';

}
function cargar_archivo(nomina){
            var strFeatures = "dialogTop="+((screen.height - 100) / 2)+"; dialogLeft=" + ((screen.width - 250) / 2) +"; dialogWidth=250px;" +
            "dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;" +
            "font-size:12px";
            showModalDialog ("vista_cargar_archivo.php?nomina="+nomina, "",strFeatures);
}
function cargar_archivo_especial(nomina){
            var strFeatures = "dialogTop="+((screen.height - 100) / 2)+"; dialogLeft=" + ((screen.width - 250) / 2) +"; dialogWidth=250px;" +
            "dialogHeight=100px; unadorned=0; status=0;  center=yes; help=no; font-family:Arial;" +
            "font-size:12px";
            showModalDialog ("vista_cargar_archivo_especial.php?nomina="+nomina, "",strFeatures);
}
function regresar(){
  mSubmit=false;
  var forma=window.document.forms[0];
  forma.formulario.value='';
  forma.hdAccion.value='';
  numero=forma.elements.length; 
  forma.submit();
}


function AgregarEvento(elemento,nomevento,funcion,captura)
{
  if (elemento.attachEvent)
  {
    elemento.attachEvent('on'+nomevento,funcion);
    return true;
  }
  else  
    if (elemento.addEventListener)
    {
      elemento.addEventListener(nomevento,funcion,captura);
      return true;
    }
    else
      return false;
}

function enviarDatos(e)
{
  if (window.event)
  {
	var boton=window.event.srcElement.getAttribute('name');  
    window.event.returnValue=false;
  }
  else
    if (e){
	  var boton = e.target.getAttribute('name');		
      e.preventDefault();
    }
	enviarFormulario(boton);
}

function enviarFormulario(boton) 
{
  conexion1=crearXMLHttpRequest(); 	
  conexion1.onreadystatechange = procesarEventos;
  conexion1.open('POST','vista_generar_horario.php', false);
  conexion1.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  conexion1.send(retornarDatos(boton)); 
}



function procesarEventos()
{
 
   if(conexion1.readyState == 4)
  {
   objetoMostrar.innerHTML = conexion1.responseText;	 
  } 
  else 
  {
  }
}

function retornarDatos(boton)
{
  var clave='';
  var cad='';
  var seccion=document.getElementById('cmbSeccion').value
 // clave=document.getElementById('cmbSede').value;
 // clavemod=document.getElementById('hdClave').value;
  cad+='seccion='+encodeURIComponent(seccion);
  cad+='&boton='+encodeURIComponent(boton);
  cad+='&formulario='+encodeURIComponent('secciones');
  return cad;
}





function isEmpty(s){
  return ((s == null) || (s.length == 0))
}
function crearXMLHttpRequest() 
{
  var xmlHttp=null;
  if (window.ActiveXObject) 
    xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  else 
    if (window.XMLHttpRequest) 
      xmlHttp = new XMLHttpRequest();
  return xmlHttp;
}
